# SPDX-License-Identifier: MIT
BuildArch: noarch

BuildRequires: fontforge
BuildRequires: perl(Font::TTF)
BuildRequires: unicode-ucd

%global forgeurl    https://github.com/dejavu-fonts/dejavu-fonts
Version: 2.37
%global tag         %{lua:t=string.gsub(rpm.expand("version %{version}"), "[%p%s]+", "_");print(t)}
%forgemeta

Release: 8%{?dist}
# original bitstream glyphs are Bitstream Vera
# glyphs modifications by dejavu project are Public Domain
# glyphs imported from Arev fonts are under BitStream Vera compatible license
License: Bitstream Vera and Public Domain
URL:     https://dejavu-fonts.github.io/

%global common_description %{expand:
The DejaVu font set is based on the “Bitstream Vera” fonts, release 1.10. Its
purpose is to provide a wider range of characters, while maintaining the
original style, using an open collaborative development process.}

%global foundry           DejaVu
%global fontlicenses      LICENSE
%global fontdocs          AUTHORS BUGS NEWS README.md

%global fontfamily1       DejaVu Sans
%global fontsummary1      DejaVu Sans, a variable-width sans-serif font family
%global fontpkgheader1    %{expand:
Obsoletes: dejavu-fonts-common < %{version}-%{release}
Suggests:  font(dejavusansmono)
}
%global fonts1            DejaVuSans.ttf DejaVuSans-*.ttf DejaVuSansCondensed*.ttf
%global fontconfs1        fontconfig/20*-dejavu-sans.conf
%global fontconfngs1      %{SOURCE11}
%global fontdescription1  %{expand:
%{common_description}

This package consists of the DejaVu sans-serif variable-width font faces, in
their unabridged version.
}

%global fontfamily2       DejaVu Serif
%global fontsummary2      DejaVu Serif, a variable-width serif font family
%global fontpkgheader2    %{expand:
Obsoletes: dejavu-math-tex-gyre-fonts < %{version}-%{release}
}
%global fonts2            DejaVuSerif.ttf DejaVuSerif-*.ttf DejaVuSerifCondensed*.ttf DejaVuMathTeXGyre.ttf
%global fontconfs2        fontconfig/20*-dejavu-serif.conf
%global fontconfngs2      %{SOURCE12}
%global fontdescription2  %{expand:
%{common_description}

This package consists of the DejaVu serif variable-width font faces, in their
unabridged version.

It includes the Mathematics extension, that was contributed to the project by
B. Jackowski, P. Strzelczyk and P. Pianowski, on behalf of TeX user groups.}

%global fontfamily3       DejaVu Sans Mono
%global fontsummary3      DejaVu Sans Mono, a mono-space sans-serif font family
%global fonts3            DejaVuSansMono*.ttf
%global fontconfs3        fontconfig/20*-dejavu-sans-mono.conf
%global fontconfngs3      %{SOURCE13}
%global fontdescription3  %{expand:
%{common_description}

This package consists of the DejaVu sans-serif mono-space font faces, in their
unabridged version.}

%global fontfamily4       DejaVu LGC Sans
%global fontsummary4      A variable-width Latin-Greek-Cyrillic sans-serif font family
%global fontpkgheader4    %{expand:
Suggests:  font(dejavusans)
}
%global fonts4            DejaVuLGCSans.ttf DejaVuLGCSans-*.ttf DejaVuLGCSansCondensed*.ttf
%global fontconfs4        fontconfig/20*-dejavu-lgc-sans.conf
%global fontconfngs4      %{SOURCE14}
%global fontdescription4  %{expand:
%{common_description}

This package consists of the DejaVu sans-serif variable-width font faces, with
Unicode coverage restricted to Latin, Greek and Cyrillic.}

%global fontfamily5       DejaVu LGC Serif
%global fontsummary5      A variable-width Latin-Greek-Cyrillic serif font family
%global fontpkgheader5    %{expand:
Suggests:  font(dejavuserif)
}
%global fonts5            DejaVuLGCSerif.ttf DejaVuLGCSerif-*.ttf DejaVuLGCSerifCondensed*.ttf
%global fontconfs5        fontconfig/20*-dejavu-lgc-serif.conf
%global fontconfngs5      %{SOURCE15}
%global fontdescription5  %{expand:
%{common_description}

This package consists of the DejaVu serif variable-width font faces, with
Unicode coverage restricted to Latin, Greek and Cyrillic.}

%global fontfamily6       DejaVu LGC Sans Mono
%global fontsummary6      A variable-width Latin-Greek-Cyrillic mono-space font family
%global fontpkgheader6    %{expand:
Suggests:  font(dejavusansmono)
}
%global fonts6            DejaVuLGCSansMono*.ttf
%global fontconfs6        fontconfig/20*-dejavu-lgc-sans-mono.conf
%global fontconfngs6      %{SOURCE16}
%global fontdescription6  %{expand:
%{common_description}

This package consists of the DejaVu sans-serif mono-space font faces, with
Unicode coverage restricted to Latin, Greek and Cyrillic.}

Source0:  %{forgesource}
Source11: 57-%{fontpkgname1}.xml
Source12: 57-%{fontpkgname2}.xml
Source13: 57-%{fontpkgname3}.xml
Source14: 58-%{fontpkgname4}.xml
Source15: 58-%{fontpkgname5}.xml
Source16: 58-%{fontpkgname6}.xml

Name:     dejavu-fonts
Summary:  The DejaVu font families
%description
%wordwrap -v common_description

%fontpkg -a

%fontmetapkg -z 1,2,3

%global lgcmetasummary All the font packages, generated from %{name}, Latin-Greek-Cyrillic subset
%global lgcmetadescription %{expand:
This meta-package installs all the font packages, generated from the %{name}
source package, in a version restricted to coverage of Latin, Greek and
Cyrillic.
}

%fontmetapkg -n dejavu-lgc-fonts-all -s lgcmetasummary -d lgcmetadescription -z 4,5,6

%package   doc
Summary:   Optional documentation files of %{name}
BuildArch: noarch
%description doc
This package provides optional documentation files shipped with
%{name}.

%global compat_summary     Fedora-32-only compatibility package
%global compat_description This is a %{compat_summary}.

%package -n compat-f32-%{fontpkgname1}
Summary: %{compat_summary}
Supplements: %{fontpkgname1} = %{version}-%{release}
Requires:    %{fontpkgname1} = %{version}-%{release}
%description -n compat-f32-%{fontpkgname1}
%{compat_description}

%package -n compat-f32-%{fontpkgname2}
Summary: %{compat_summary}
Supplements: %{fontpkgname2} = %{version}-%{release}
Requires:    %{fontpkgname2} = %{version}-%{release}
%description -n compat-f32-%{fontpkgname2}
%{compat_description}

%package -n compat-f32-%{fontpkgname3}
Summary: %{compat_summary}
Supplements: %{fontpkgname3} = %{version}-%{release}
Requires:    %{fontpkgname3} = %{version}-%{release}
%description -n compat-f32-%{fontpkgname3}
%{compat_description}

%prep
%forgesetup

%build
make %{?_smp_mflags} VERSION=%{version} FC-LANG="" \
     BLOCKS=/usr/share/unicode/ucd/Blocks.txt \
     UNICODEDATA=/usr/share/unicode/ucd/UnicodeData.txt \
     BUILDDIR=.
xz -9 *.txt
%fontbuild -a

%install
%fontinstall -a

%global compatdir %{_fontbasedir}/dejavu
install -m 0755 -vd "%{buildroot}%{compatdir}"

cd "%{buildroot}%{fontdir1}"
echo "%dir \"%{compatdir}\"" > "%{fontfilelist1}.compat"
for font in *ttf ; do
  ln -vsr "${PWD}/${font}" "%{buildroot}%{compatdir}"
  echo \"%{compatdir}/$(basename "${font}")\" >> "%{fontfilelist1}.compat"
done

cd "%{buildroot}%{fontdir2}"
echo "%dir \"%{compatdir}\"" > "%{fontfilelist2}.compat"
for font in *ttf ; do
  ln -vsr "${PWD}/${font}"  "%{buildroot}%{compatdir}"
  echo \"%{compatdir}/$(basename "${font}")\" >> "%{fontfilelist2}.compat"
done

cd "%{buildroot}%{fontdir3}"
echo "%dir \"%{compatdir}\"" > "%{fontfilelist3}.compat"
for font in *ttf ; do
  ln -vsr "${PWD}/${font}" "%{buildroot}%{compatdir}"
  echo \"%{compatdir}/$(basename "${font}")\" >> "%{fontfilelist3}.compat"
done

%check
make check
%fontcheck -a

%fontfiles -a

%files doc
%defattr(644, root, root, 0755)
%license LICENSE
%doc *.txt.xz

%files -n compat-f32-%{fontpkgname1} -f "%{fontfilelist1}.compat"
%files -n compat-f32-%{fontpkgname2} -f "%{fontfilelist2}.compat"
%files -n compat-f32-%{fontpkgname3} -f "%{fontfilelist3}.compat"

%changelog
* Thu Jun 18 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 2.37-8
✅ Fix compatibility package requires

* Mon Mar 09 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 2.37-7
✅ Add F32 compatibility packages

* Mon Mar 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 2.37-6
✅ Lint, lint, lint and lint again

* Sat Feb 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 2.37-5
✅ Rebuild with fonts-rpm-macros 2.0.2

* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 2.27-4
✅ Convert to fonts-rpm-macros use
✅ Merge math extension into serif

* Sat Feb 19 2005 Nicolas Mailhot <nim@fedoraproject.org>
- 1.7-1
✅ initial build – using vera as template
